Skip to main content
GET
/
webhooks
/
event-types
/
{webhookEventTypeId}
Retrieve a webhook event type
curl --request GET \
  --url https://api.equalsmoney.com/v2/webhooks/event-types/{webhookEventTypeId} \
  --header 'Authorization: <api-key>'
{
  "id": "da91434a-4026-42ea-84b8-d0317b64af9c",
  "name": "AccountCreated",
  "enabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

webhookEventTypeId
string<uuid>
required

The ID of the webhook event type to work with.

Example:

"da91434a-4026-42ea-84b8-d0317b64af9c"

Query Parameters

accountId
string

The ID of the account to work with.

Example:

"F50091"

Response

200 - application/json

OK

id
string<uuid>
required

The ID of the webhook event type to work with.

Example:

"da91434a-4026-42ea-84b8-d0317b64af9c"

name
string
required

Webhook event name.

Maximum string length: 256
Example:

"AccountCreated"

enabled
boolean
required

Webhook event type availability (whether the webhook is enabled or not).

Example:

true

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.